<?php
/**
 * @package com_tinydoc for Joomla! 4.x
 * @version $Id: document.php 2024-04-22 $
 * @author Andreas Thul
 * @copyright (c) 2009-2024 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

class TableDocument extends JTable {

	var $id = null;
	var $name = null;
	var $folder_id = null;
	var $description = null;
	var $date = null;
	var $size = null;
	var $ordering = null;
	var $published = 1;

	function __construct(&$db) {

		parent::__construct( '#__tinydoc_document', 'id', $db );

	}

	function publish( $cid=null, $publish=1, $user_id=0 ) {

		// // 2024-04-22 athul/replaced JArrayHelper::toInteger( $cid );
		Joomla\Utilities\ArrayHelper::toInteger( $cid );
		$user_id	= (int) $user_id;
		$publish	= (int) $publish;
		$k			= $this->_tbl_key;

		if (count( $cid ) < 1)
		{
			if ($this->$k) {
				$cid = array( $this->$k );
			} else {
				$this->setError("No items selected.");
				return false;
			}
		}

		$cids = $k . '=' . implode( ' OR ' . $k . '=', $cid );

		if ($publish) { $folder_id = 2; }
		else { $folder_id = 1; }

		$query = 'UPDATE '. $this->_tbl
		. ' SET published = ' . (int) $publish
		. ' WHERE ('.$cids.')'
		;

		$this->_db->setQuery( $query );
		// 2024-04-22 athul/replaced $db->query()
		if (!$this->_db->execute())
		{
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		$this->setError('');
		return true;
	}
}


?>
