<?php
/**
 * @package com_tinydoc for Joomla! 4.x
 * @version $Id: controller.php 2024-04-23 $
 * @author Andreas Thul
 * @copyright (c) 2009-2024 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

require_once(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_tinydoc' .  DIRECTORY_SEPARATOR . 'helper.php');

// 2014-09-17 athul/changed JController to JControllerLegacy
class TinyDocController extends JControllerLegacy {

	function __construct(){

		parent::__construct();
	}

	// 2014-01-16 athul/Only variables should be assigned by reference
	// 2014-01-16 athul/Declaration of TinyDocController::display() should be compatible with JController::display($cachable = false, $urlparams = false)
	function display($cachable = false, $urlparams = false) {

		$jinput = JFactory::getApplication()->input;

		# 2012-08-03 athul/redirect if 'format=raw' is missing; must be altered when other views are added
		// 2024-04-23 athul/replaced if (!$format=JRequest::getVar('format')){
		if (!$format = $jinput->get('format')){

			// 2024-04-23 athul/replaced JRequest::getVar('document', 0, '', 'int')
			$this->setRedirect(JRoute::_('index.php?option=com_tinydoc&view=document&document=' .  $jinput->get('document', 0, '', 'int') .  '&format=raw'));
			return false;
		}
		else {

			// 2024-04-23 athul/replaced $viewName = JRequest::getVar('view', 'document')
			$viewName = $jinput->get('view', 'document');
			// 2024-04-23 athul/replaced $viewLayout = JRequest::getVar('layout', 'default')
			$viewLayout = $jinput->get('layout', 'default');

			$view = $this->getView($viewName);

			if ($model = $this->getModel($viewName)) {
				$view->setModel($model, true);
			}

			$view->setLayout($viewLayout);
			$view->display();
		}
  }
}

?>
