<?php
/**
 * @package com_tinydoc for Joomla! 4.x
 * @version $Id: router.php 2024-05-07 $
 * @author Andreas Thul
 * @copyright (c) 2009-2024 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

use Joomla\CMS\Component\Router\RouterInterface;

class TinyDocRouter implements RouterInterface {

	public function __construct($application, $menu) {

		// do nothing ...
	}

	public function build(&$query) {

		$segments = [];

		if (isset($query['view'])) {
			$segments[] = $query['view'];
			unset($query['view']);
		}

		if(isset($query['document'])) {
			$segments[] = $query['document'];
			unset($query['document']);
		}

		// omit 'format'
		unset($query['format']);

		return $segments;
	}

	public function parse(&$segments) {

		$vars = [];

		// inject 'format'
		$vars['format'] = 'raw';

		$vars['view'] = $segments[0];

		if (count($segments) > 1) {
			$vars['document'] = $segments[1];
		}

		// $segments has to be empty, otherwise Joomla! will throw a HTTP 404
		$segments = [];

		return $vars;
	}

	public function preprocess($query) {

		return $query;
	}

}


?>
