<?php
/**
 * @package com_tinydoc for Joomla! 4.x
 * @version $Id: view.php 2024-04-23 $
 * @author Andreas Thul
 * @copyright (c) 2009-2024 Andreas Thul
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');
jimport('joomla.filesystem.file');

require_once(JPATH_ADMINISTRATOR . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_tinydoc' . DIRECTORY_SEPARATOR . 'helper.php');

// 2014-09-17 athul/changed JView to JviewLegacy
class TinyDocViewDocument extends JViewLegacy {

	// 2014-01-16 athul/Only variables should be assigned by reference
	function display($tpl = null) {

		// 2024-04-23 athul/replaced $option = JRequest::getCmd('option');
		$jinput = JFactory::getApplication()->input;
		$option = $jinput->get('option');

		$config = JComponentHelper::getParams('com_tinydoc');

		$model = $this->getModel();

		// 2024-04-23 athul/replaced $document_id = JRequest::getVar('document', 0, '', 'int');
		$document_id = $jinput->get('document', 0, '', 'int');

		$document = $model->getDocument($document_id);

		// ?$model->setState('image_id', $image->id);

		$file = TinyDocHelper::getDocumentFile($document_id);
		// 2024-04-23 athul/$documentData = JFile::read($file);
		$documentData = file_get_contents($file);

		$documentType = TinyDocHelper::getDocumentType($document->type_id);

		// 2024-04-23 athul/replaced $this->assignRef('document', $document);
		$this->document = $document;
		// 2024-04-23 athul/replaced $this->assignRef('documentData', $documentData);
		$this->documentData = $documentData;
		// 2024-04-23 athul/replaced $this->assignRef('documentType', $documentType);
		$this->documentType = $documentType;

		parent::display($tpl);
    }
}

?>
